* E Posta Adresiniz:
* Kodu Girin:

İleti Yazar
14.06.2009 19:16
49810    
sinanc

[3] Kıdemli Girişimci

Online Durumu

31 ileti
programci
ankara

Alıntı
spy178 :
arkadaslar bana sectigim textteki degerden istedigim sayiyi cikaracak lisp lazim
ornegin her tikladigim sayidan -20 cikaricak ve eski sayinin yerine onu yazicak



işini görür inşallah toprağam



Linkleri görebilmek için ÜYE olmalısınız.

14.07.2009 13:50
50552    
bud_0782

[10] Üstad

Online Durumu

321 ileti
Yapı Öğr.+Teknik Res.
Antalya

merhaba

seçtiğim bir nesneyi, seçtiğim aralıklarla,seçtiğim baz noktasına göre bir hat boyunca (pline,cırle vb) kopyalayabilecek bir lisp yazılabilir mi? betonarme projelerde demir gösterimleri çok uğraştırıyor

yardımcı olabilecek arkadaş var mı?

~~~~~~~~~~~~~~~~~~~~~~~~
Düşün , hisset, uygula… İşte hepsi bu…
~~~~~~~~~~~~~~~~~~~~~~~~

14.07.2009 13:57
50553    
ehya

[90] Yönetici

Online Durumu

3200 ileti
Teknik Ressam
Ankara

Bu istemiş olduğunuz komut autocad içinde zaten mevcut. Kopyalamak istediğiniz nesneleri blok haline getirin. "Measuse" veya "Divide" komutlarını kullanırken "Block" alt komutunu kullanarak istediğiniz gibi dizebilirsiniz.

15.07.2009 12:16
50561    
bud_0782

[10] Üstad

Online Durumu

321 ileti
Yapı Öğr.+Teknik Res.
Antalya

 

teşekkür ederim ehya...bu alt komutu kullanmamıştım.sorunumu büyük ölçüde çözdü.ancak yine de müdahale gerektiriyor.measure ile uygulama yaptığımda üstteki resim gibi dizilim yapıyor.oysa ben alttaki gibi yuvarlak kenarlarının hatta değecek şekilde sıralanmasını istiyorum.tabi bu da her kırıklıktan sonra baz noktasının değişmesi demek...

bunun bir yolu var mı, yoksa çok mu detaya girer?

~~~~~~~~~~~~~~~~~~~~~~~~
Düşün , hisset, uygula… İşte hepsi bu…
~~~~~~~~~~~~~~~~~~~~~~~~

15.07.2009 13:16
50563    
ehya

[90] Yönetici

Online Durumu

3200 ileti
Teknik Ressam
Ankara

Bloklamış olduğun dairenin blok referans noktası olarak üst quadrant noktasını gösterirsen, istemiş olduğun dizilimi elde edersin. Dikkat edilecek husus, bu komutları kullanırken Align block with object? [Yes/No] <Y>: mesajına YES demelisin.

15.07.2009 16:07
50570    
bud_0782

[10] Üstad

Online Durumu

321 ileti
Yapı Öğr.+Teknik Res.
Antalya

teşekkür ederim işe yaradı

~~~~~~~~~~~~~~~~~~~~~~~~
Düşün , hisset, uygula… İşte hepsi bu…
~~~~~~~~~~~~~~~~~~~~~~~~

08.09.2009 20:15
51859    
ertu33

[2] Girişimci

Online Durumu

2 ileti
topograf
ist

ARKADAŞLAR BANA AUTOCAD 2007 DE NOKTALARI ÜÇGENLİYECEK VE ARAYA NOKTA ATTIGIMDA KOTLU OLMASINI İSTEDİĞİM BİR LISP VARMI

23.09.2009 17:18
52053    
ec

[2] Girişimci

Online Durumu

21 ileti

Ankara

Selamlar;

Bende mevcut olan bir lisp var. Ehya tarafından daha önceden düzenlenmişti.
Layer larla ilgili bir lisp. Lisp içindeki listede belirtilen layer lar hariç diğer layer ları kilitliyor.
Bu lisp in farklı versiyonları da mevcut. Ama hepsindeki listeler belirli layer larla çalışıldığında işe yarıyor.
Bu layerların ortak özelliği isimlerinin başında "00-" olması.
Şu anki çalışma ortamında çok çeşitli layer isimleri kullanılıyor ve bunları standart hale getirmek zaman alacak.
Bu lispte revizyon yaparak, layer isimlerinin başında "00-" olan layerları seçtirebilirmiyiz.
Lisp kodunu aşağıda veriyorum.
İlgilenen arkadaşlara şimdiden teşekkürler.


(defun c:k ()
(setq ec_lay_list "00-04,00-05,00-06,00-24V,00-AYD,00-CAG,00-CCTV,00-YAN")
(command "layer" "lock" "*" "")
(command "layer" "unlock" ec_lay_list "")
(princ))

23.09.2009 17:57
52054    
ehya

[90] Yönetici

Online Durumu

3200 ileti
Teknik Ressam
Ankara

Kod:

(defun c:kk ()
(command "layer" "lock" "*" "")
(command "layer" "unlock" "00-*" "" )
(princ))

23.09.2009 23:42
52065    
trkgo

[1] Yeni üye

Online Durumu

87 ileti
ELEKTRİK TEKNİKERİ
Antalya

Arkadaşlar Benım,

elk1-...
elk2-...
elk3-...
.......
.......
gıbı layerlerım var.

projede çalışırken bu layerlerı kapatmam gerekıyorbazen,bu ışlemın ksayolu olabılırmı?

bana gülüyorsunuz,çünkü ben farklıyım...ben size gülüyorum çünkü hepiniz aynısınız...

24.09.2009 10:51
52069    
ehya

[90] Yönetici

Online Durumu

3200 ileti
Teknik Ressam
Ankara

Alıntı
trkgo :
Arkadaşlar Benım,

elk1-...
elk2-...
elk3-...
.......
.......
gıbı layerlerım var.

projede çalışırken bu layerlerı kapatmam gerekıyorbazen,bu ışlemın ksayolu olabılırmı?




Kod:

(defun c:trg ()
(command "layer" "freeze" "elk*" "")
(princ))

24.09.2009 13:17
52072    
ec

[2] Girişimci

Online Durumu

21 ileti

Ankara

Teşekkürler eyha.

24.09.2009 14:10
52074    
trkgo

[1] Yeni üye

Online Durumu

87 ileti
ELEKTRİK TEKNİKERİ
Antalya

Alıntı
ehya :
Alıntı
trkgo :
Arkadaşlar Benım,

elk1-...
elk2-...
elk3-...
.......
.......
gıbı layerlerım var.

projede çalışırken bu layerlerı kapatmam gerekıyorbazen,bu ışlemın ksayolu olabılırmı?




Kod:

(defun c:trg ()
(command "layer" "freeze" "elk*" "")
(princ))




Abı çok saolun,
elk- layer kapa
elk-layer aç
elk-layer kılıtle
elk-layer kılıt aç
yukarıdakı komutların hepsı tek bı dosyada yapılabılırmı?

Bıde geçende sormuştumya lsp dosyasını .fas'a çevırmeyı onu yıne yapamadım.
ekrana wızard mode ekranı çıkıyor,sımple seçeneğı seçılı
next dıyorum,klasör yolunu seçıyorum,dosa adını yazmaya başladığımda .vlx oluyor uzantı


trkgo (24.09.2009 16:05 GMT)

bana gülüyorsunuz,çünkü ben farklıyım...ben size gülüyorum çünkü hepiniz aynısınız...

24.09.2009 16:21
52081    
ehya

[90] Yönetici

Online Durumu

3200 ileti
Teknik Ressam
Ankara

aynı şekilde yapılır. command satırında bulunan "freeze" seçeneğini diğer seçeneklere göre değiştirip uygulayabilirsiniz.


elbette vlx çıkacak
sorun değil.. dosya adından bir kopya şekilde vlx olsun sorun değil. sen devam et işlemi. gösterdiğin klasörde o lisp dosyası fas olacaktır.

24.09.2009 19:12
52085    
sahindemir

[1] Yeni üye

Online Durumu

2 ileti
gemi insa
istanbul

(defun c:23p (/ data i pt)
(setq
data (entget (setq sil (car (entsel "
Lwpolyline'ı seçiniz:"))))
)
(setq data_tan (cdr (assoc 0 data)))
(if (/= data_tan "LWPOLYLINE")
(progn (princ "
Seçilen nesne Lwpolyline değil..."))
(progn
(command "3dpoly")
(while (setq pt (assoc 10 data))
(setq data (cdr (member pt data)))
(setq pt_x (cadr pt)
pt_y (caddr pt)
)
(setq ptt (list pt_x pt_y 0.00))
(command ptt)
)

(command "")
(entdel sil)
)
)
(princ)
)(PRINC "--> 'www.autocadokulu.com' Çizim yardımları yüklendi !")

merabalar forumda 2d polyline ı 3d polyline ceviren yukarıdaki lispi buldum ama lisp calisirken secilen cizgilerin elevation degerlerini sıfır yapıyor benim istedigim elevation degerlerini degistirmeden 3d polyline yapmasi bunu yapabilecek bi arkadas varmıdır forumda yardımlarınız icin simdiden sagolun

24.09.2009 19:54
52086    
ehya

[90] Yönetici

Online Durumu

3200 ileti
Teknik Ressam
Ankara

Kod:

(defun c:23p (/ data i pt)
(setq data (entget
     (setq sil (car (entsel "Lwpolyline'ı seçiniz:")))))
(setq data_tan (cdr (assoc 0 data)))
(if (/= data_tan "LWPOLYLINE")
(progn (princ " Seçilen nesne Lwpolyline değil..."))
(progn
    (setq ddata data)
(command "3dpoly")
(while (setq pt (assoc 10 data))
  (setq pt_z (cdr (assoc 38 ddata)))
(setq data (cdr (member pt data)))
(setq pt_x (cadr pt)
pt_y (caddr pt))
(setq ptt (list pt_x pt_y pt_z))
(command ptt)
)
(command "")
(entdel sil)
)
)
(princ)
)
(PRINC "--> 'www.autocadokulu.com' Çizim yardımları yüklendi !")

24.09.2009 22:17
52087    
sahindemir

[1] Yeni üye

Online Durumu

2 ileti
gemi insa
istanbul

cok sagolun emeginiz icin

09.10.2009 20:00
52385    
didim

[2] Girişimci

Online Durumu

3 ileti

Konya

mrb

auotocad yeni başlayan birisi olarak benim şu an aradığım lisp belki autocad komutuda olabilir

çizdiğim line ile temas eden diğer line ları veya nesneleri silen komut veya lisp var mı?

şimdiden tşk

09.10.2009 20:52
52387    
SENDUR

[10] Üstad

Online Durumu

364 ileti
Mak. Res. Konst. Öğrt. & Makina Müh.
Ankara

 

resimdeki tabloyu yapacak bi lisp yazabilecek arkadaş varmı?

11.10.2009 01:07
52432    
Liman

[2] Girişimci

Online Durumu

12 ileti
İnşaat Mühendisi
Ankara

Aşağıdaki lispi ölçeğe göre uyarlayacak biri varmı:
yani verilen çizgileri ölçeğe göre ölçülendirebilecek şekilde ayarlayabilcek varmı:

(defun c:uy ()
(setq uy_os (getvar "osmode"))
(setq uy_sec nil)
(setq uy_sec (ssget (list (cons 0 "LINE"))))
(if (= uy_sec nil)
(progn
(princ "
Nesne seçimi yok. Komut bitirildi..."))
(progn

(if (= uy_yaz_yuk nil)(setq uy_yaz_yuk 12))
(initget 2)
(setq uy_yaz_y (getdist (strcat "
Yazılacak yazının Yüksekliği:<" (rtos uy_yaz_yuk) ">:")))
(if (= uy_yaz_y nil)(setq uy_yaz_y uy_yaz_yuk))
(setq uy_yaz_yuk uy_yaz_y)
(setq uy_c 0)
(setq uy_say (sslength uy_sec))
(while (< uy_c uy_say)
(setq uy_sec_tek (ssname uy_sec uy_c))
(setq uy_sec_tek_10 (cdr (assoc 10 (entget uy_sec_tek)))
uy_sec_tek_11 (cdr (assoc 11 (entget uy_sec_tek))))
(setq uy_sec_tek_mes (distance uy_sec_tek_10 uy_sec_tek_11))
(setq uy_sec_tek_10_x (car uy_sec_tek_10)
uy_sec_tek_10_y (cadr uy_sec_tek_10)
uy_sec_tek_11_x (car uy_sec_tek_11)
uy_sec_tek_11_y (cadr uy_sec_tek_11))
(setq uy_yaz_x (/ (+ uy_sec_tek_10_x uy_sec_tek_11_x) 2.00)
uy_yaz_y (/ (+ uy_sec_tek_10_y uy_sec_tek_11_y) 2.00)
uy_yaz (list uy_yaz_x uy_yaz_y))
(if (< uy_sec_tek_10_x uy_sec_tek_11_x)
(progn
(setq uy_sec_aci_bas uy_sec_tek_10)
(setq uy_sec_aci_son uy_sec_tek_11)
)
(progn
(setq uy_sec_aci_bas uy_sec_tek_11)
(setq uy_sec_aci_son uy_sec_tek_10)))
(setq uy_sec_tek_aci (angle uy_sec_aci_bas uy_sec_aci_son))
(command "style" "cizgiyazi" "" "" "" "" "" "" "")
(command "osnap" "node")
(command "text" "j" "bc" uy_yaz uy_yaz_yuk (angtos uy_sec_tek_aci) (rtos uy_sec_tek_mes))
(setq uy_c (+ uy_c 1))
)))(setvar "osmode" uy_os)(princ))
(princ "
Komutu çalıştırmak için [UY] yazın")(princ)

Önceki Sayfa [1] [2] [3] [4] [5] [6] [7] > 8 < [9] [10] [15] [20] [25] [30] [35] [40] [45] [50] [55] [60] [65] [70] [75] [80] [85] [86] Sonraki Sayfa
Copyright © 2004-2018 | Tüm Hakları Saklıdır | 2163 | Site haritası | İstatistikler | Hakkımızda | Kadromuz | Gizlilik | Reklam